Subject: Re: bug#22723: 25.0.91; temp-buffer-resize-mode disables shrink-window
From: Eli Zaretskii <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 Feb 2016 13:58:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 18 Feb 2016 11:51:45 +0100
> From: martin rudalics <[email-masked]>
> 
> Some time ago I changed the behavior of ‘enlarge-window’ and
> ‘shrink-window’ to not report an error when the window could not be
> resized as requested but to resize the window as much as allowed
> instead.  This was not a very good idea because according to the Emacs
> manual these functions _are_ supposed to report an error in the
> described case.  I hopefully fixed that now.
> 
> The ‘temp-buffer-resize-mode’ bug you report here is just an indirect
> consequence of that earlier bug.  This issue should now have been fixed
> as well.  Please have a look.
> 
> I also fixed a bug with ‘adjust-window-trailing-edge’ causing it to not
> report an error when there was no resizable window below (or on the
> right) of the edge to adjust.  Please check this as well.

Thanks, both issues seem to be fixed now.

I'm closing the bug.